{-| Module  : FiniteCategories
Description : __'Hat'__ exported with GraphViz.
Copyright   : Guillaume Sabbagh 2022
License     : GPL-3
Maintainer  : guillaumesabbagh@protonmail.com
Stability   : experimental
Portability : portable

__'Hat'__ exported with GraphViz.

Export the __'Hat'__ category in the directory "OutputGraphViz\/Examples\/FiniteCategories\/Hat".
-}
module Math.FiniteCategories.Hat.Example
(
    main
)
where
    import Data.WeakSet.Safe
    
    import Math.FiniteCategories.Hat
    import Math.IO.FiniteCategories.ExportGraphViz
    
    -- | __'Hat'__ exported with GraphViz.
    main :: IO ()
    main = do
        putStrLn "Start of Math.FiniteCategories.Hat.Example"
        catToPdf Hat "OutputGraphViz/Examples/FiniteCategories/Hat/Hat"
        putStrLn "End of Math.FiniteCategories.Hat.Example"